.nav--primary {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  position: relative;
  z-index: 9999;
  padding: 1rem 0 0;

  //optional title
  h1 {
    font-size:16px;
    text-transform: uppercase;
    letter-spacing: normal;
    align-self: flex-end;
    margin:0 0 0 1em;
    @include breakpoint($large) {
      margin:0 0 1.65em 1em;
    }
  }

  @include breakpoint($large) {
    flex-wrap: nowrap;
    padding: 0;
    border-bottom: 1px solid rgba(216, 216, 216, 0.15);
  }

  &:after {
    content: "";
    display: block;
    position: absolute;
    top: 56px;
    left: 0;
    right: 0;
    height: 1px;
    background: $border-color-invert;
    @include breakpoint($large) {
      display: none;
    }
  }

  &__contact {
    position: relative;
    display: block;
    margin-right: 10px;
    padding-right: 12px;
    margin-left: auto;
    @include breakpoint($small) {
      border-right: 1px solid $border-color-invert;
    }
    @include breakpoint($medium) {
      margin-right: 26px;
      padding-right: 0;
    }
    @include breakpoint($large) {
      order: 2;
      flex: 0 0 auto;
    }
    a {
      color: inherit;
      &:after {
        content: "";
        display: block;
        position: absolute;
        bottom: -21px;
        height: 2px;
        width: 86%;
        background-color: transparent;
        left: 2%;
        z-index: 1;
        transition: background-color 0.3s;

        @include breakpoint($medium) {
          bottom: -19px;
          width: 100%;
        }

        @include breakpoint($large) {
          bottom: -32px;
        }
      }
    }
    &.selected a,
    a:hover {
      &:after {
        background-color: #fff;
      }
    }
    &__icon {
      height: 20px;
      display: inline-block;
      vertical-align: text-top;
      margin-right: 7px;
      @include breakpoint($small) {
        display: none;
      }
      .icon {
        width: 23px;
      }
    }
    path {
      stroke: #fff;
    }
    &.invertColours {
      color: $text-color;
      path {
        stroke: $text-color;
      }
      &.selected a,
      a:hover {
        &:after {
          background-color: $text-color;
        }
      }
      @include breakpoint($small) {
        border-right: 1px solid $text-color;
      }
    }
  }
  &__contact + .search {
    margin-left: 0;
  }
}
